// Flutter imports:
import 'package:flutter/material.dart';

// Package imports:
import 'package:flutter_screenutil/flutter_screenutil.dart';

// Project imports:
import 'package:zego_uikit/src/services/services.dart';

class ZegoLayoutSideBySideLastItem extends StatefulWidget {
  const ZegoLayoutSideBySideLastItem({
    Key? key,
    required this.users,
  }) : super(key: key);

  final List<ZegoUIKitUser> users;

  @override
  State<ZegoLayoutSideBySideLastItem> createState() =>
      _ZegoLayoutSideBySideLastItemState();
}

class _ZegoLayoutSideBySideLastItemState
    extends State<ZegoLayoutSideBySideLastItem> {
  @override
  Widget build(BuildContext context) {
    var firstUser = widget.users.first;
    var lastUser = widget.users.last;
    return Center(
      child: Column(
        children: [
          SizedBox.fromSize(
            size: Size(212.r, 120.r),
            child: Stack(
              children: [
                Positioned(
                  top: 0,
                  left: 0,
                  child: user(context, firstUser),
                ),
                Positioned(
                  top: 0,
                  left: 92.r,
                  child: user(context, lastUser),
                ),
              ],
            ),
          ),
          SizedBox(
            height: 16.r,
          ),
          Text(
            "${widget.users.length} others",
            textAlign: TextAlign.center,
            style: TextStyle(
              color: Colors.white,
              fontSize: 24.r,
              fontWeight: FontWeight.w400,
              decoration: TextDecoration.none,
            ),
          ),
        ],
      ),
    );
  }

  Widget user(BuildContext context, ZegoUIKitUser user) {
    return SizedBox.fromSize(
      size: Size(120.r, 120.r),
      child: Container(
        decoration: const BoxDecoration(
            color: Color(0xffDBDDE3), shape: BoxShape.circle),
        child: Center(
          child: Text(
            user.name.isNotEmpty ? user.name.characters.first : "",
            style: TextStyle(
              fontSize: 46.r,
              color: const Color(0xff222222),
              decoration: TextDecoration.none,
            ),
          ),
        ),
      ),
    );
  }
}
