// Project imports:
import 'layout_picture_in_picture.dart';
import 'layout_side_by_side.dart';

class ZegoLayout {
  const ZegoLayout.internal();

  factory ZegoLayout.pictureInPicture({
    /// whether to hide the local View when the local camera is closed
    bool showMyViewWithVideoOnly = false,

    /// small video view is draggable if set true
    bool isSmallViewDraggable = true,

    ///  Whether you can switch view's position by clicking on the small view
    bool switchLargeOrSmallViewByClick = true,

    /// whether to hide the local View when the local camera is closed
    ZegoViewPosition smallViewPosition = ZegoViewPosition.topRight,

    /// self AudioVideoView use small or big view
    bool showSelfInLargeView = true,
  }) {
    return ZegoLayoutPictureInPictureConfig(
      showMyViewWithVideoOnly: showMyViewWithVideoOnly,
      isSmallViewDraggable: isSmallViewDraggable,
      switchLargeOrSmallViewByClick: switchLargeOrSmallViewByClick,
      smallViewPosition: smallViewPosition,
      showSelfInLargeView: showSelfInLargeView,
    );
  }

  factory ZegoLayout.sideBySide({
    /// whether to display rounded corners and spacing between views
    bool addBorderRadiusOrSpacingBetweenView = true,
  }) {
    return ZegoLayoutSideBySideConfig(
      addBorderRadiusOrSpacingBetweenView: addBorderRadiusOrSpacingBetweenView,
    );
  }
}
